#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QList>
#include <QPair>
#include "usuario.h"
#include "match.h"

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void manejarLike();
    void manejarDislike();
    void mostrarListaMatches();
    void abrirChatConUsuario(int index);

private:
    int miUsuarioIndex = 0;
    Ui::MainWindow *ui;
    QList<Usuario> usuarios;
    QList<QPair<int, int>> m_matches;
    QList<int> likesDados;
    int usuarioActualIndex = 0;

    void cargarUsuariosDesdeCSV(const QString &rutaArchivo);
    void mostrarUsuarioActual();
    void verificarMatches(int usuarioIndex);
    void conectarSenales();
    void actualizarContadorMatches();
    void resizeEvent(QResizeEvent *event) override;
};

#endif // MAINWINDOW_H
